<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2006 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: ?
  $Source: /cvsroot/coppermine/stable/jupload.php,v $
  $Revision: ?
  $Author: Etienne Gauthier
  $Date: ?
**********************************************/


//####################################################################################################
//#################################     INCLUDES    ##################################################
//####################################################################################################

// Confirm we are in Coppermine and set the language blocks.
define('IN_COPPERMINE', true);
//Let's also include the upload text.
define('UPLOAD_PHP', true);
define('JUPLOAD_PHP', true);
define('JUPLOAD_LOG_ERROR_PHP', true);
define('DB_INPUT_PHP', true);
define('ADMIN_PHP', true);

//All includes works from the coppermine root directory. Let's go to it :
chdir('../..');

// Call basic functions, etc.
require('include/init.inc.php');
require('include/picmgmt.inc.php');
require('include/mailer.inc.php');

//Localisation. Handled from specific files, to make upgrade of coppermine easier:
//Currently: only one translation=english.  ;-)
if ($lang_translation_info['lang_country_code'] == 'fr') {
	require('plugins/jupload/lang/french.php');
} else {
	require('plugins/jupload/lang/english.php');
}
// Globalize $CONFIG.
global $CONFIG, $lang_jupload_php, $user_form, $max_file_size;


//####################################################################################################
//################################# MAIN CODE BLOCK ##################################################
//####################################################################################################

//This script should only be called by the JUpload applet. This means that the current user has upload 
//authorization. If not, someone is trying to spam the admin. 
if (!USER_CAN_UPLOAD_PICTURES) {
    cpg_die(ERROR, $lang_jupload_php['perm_denied'], __FILE__, __LINE__);
}
//Get  parameters.
$description	= isset($_POST['description']	) ? $_POST['description'] 	: '';
$log		 	= isset($_POST['log']			) ? $_POST['log'] 			: '';

//Set local variables, from coppermine configuration
$url_parsed		= parse_url($CONFIG['site_url']);
$to				= $CONFIG['gallery_admin_email'];
$from			= 'jupload@' . $url_parsed[host];
$current_user	= "$USER_NAME (${USER_DATA['user_email']})";  

$headers		= "From: $from_r\n" .
					"Content-type: text/plain\r\n";
$subject		= "[log_error]$description";
$body			= "An error occured in JUpload applet, for the user $current_user."
			. "\n\nHere is the debug output for his session within the applet:\n\n$log";

echo ("to: $to\n");
echo ("from: $from\n");
echo ("description: $description\n") ;
echo ("log: $log\n") ;


//Let's send the mail.
/*
$return = cpg_mail ($to, $subject, $body, 'text/plain', jupload, $from);
echo ('Too bad5') ;
if ($return == 'Mail sent!') {
	echo "SUCCESS";
} else if ($return == ""){
	echo "Error : cpg_mail returned an empty string !";
} else {
	//To bad, it's an error.
	echo $return;
}
*/

if (mail($to, $subject, $body, $headers)) {
	echo "SUCCESS";
} else if ($return == ""){
	//To bad, it's an error.
	echo "Error while sending the mail.";
}

